Bug 975850 - [RFE] gnupg2 (gpg-agent): Disable producing of core dumps for gpg-agent via prctl(PR_SET_DUMPABLE, 0) as ssh-agent does
[RFE] gnupg2 (gpg-agent): Disable producing of core dumps for gpg-agent via p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnupg2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
https://dev.gnupg.org/T1509
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 09:11 EDT by Jan Lieskovsky
Modified: 2017-10-09 05:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-09 05:43:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-06-19 09:11:03 EDT
Description of problem:
Based on the Debian bug:
  [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=712744

the following RFE has been filed upstream:
  [2] https://bugs.g10code.com/gnupg/issue1509

Version-Release number of selected component (if applicable):
gnupg2-2.0.19-8.fc19

How reproducible:
Always

Steps to Reproduce:
1. In rpmbuild/BUILD/gnupg-2.0.20 directory:
     $ grep -rHn "PR_SET_DUMPABLE" * | wc -l
     0

Actual results:
PR_SET_DUMPABLE is not disabled (set to 0) for gpg-agent.

Expected results:
Producing of core dump files is disabled by default for gpg-agent (possibly new option is added allowing to restore the current [produce coredumps] behaviour for debugging purposes).
Comment 1 Fedora Admin XMLRPC Client 2013-10-09 10:54:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Till Maas 2017-10-08 13:16:29 EDT
Upstream change the bug URL to: https://dev.gnupg.org/T1509

They decided not to adjust this.

Note You need to log in before you can comment on or make changes to this bug.